<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">


<xsl:template match="biographie">
    <html>
        <head>
            <title>Biographie</title>
        </head>
    </html>
    <body>
        <h1>
            <xsl:apply-templates select="@prénom"/>&#160;
            <xsl:apply-templates select="@nom"/>
        </h1>
        <dl>
            <dt>
                Né le : <xsl:apply-templates select="@naissance"/><br/>
                <xsl:if test="@mort">
                    Mort le : <xsl:apply-templates select="@mort"/><br/>
                </xsl:if>
                Instrument : <xsl:apply-templates select="child::instrument"/><br/>
                Genre : <xsl:apply-templates select="child::genre"/><br/>
                <hr/>
            </dt>
        </dl>
        <xsl:apply-templates select="histoire"/>
        <hr/>
        <xsl:apply-templates select="discographie"/>
    </body>
</xsl:template>
    
    <xsl:template match="histoire">
        <p><xsl:apply-templates/></p>
    </xsl:template>
    
    <xsl:template match="histoire/musicien">
        <b style="color:DarkBlue"><xsl:value-of select="./prénom"/>&#160;<xsl:value-of select="./nom"/></b>
    </xsl:template>
    
    <xsl:template match="histoire/groupe">
        <b style="color:DarkBlue"><xsl:value-of select="."/></b>
    </xsl:template>
    
    <xsl:template match="histoire/genre | histoire/instrument | histoire/disque | histoire/label">
        <b style="color:Gold"><xsl:value-of select="."/></b>
    </xsl:template>
    
    <xsl:template match="histoire/disque">
        <b style="color:Red"><xsl:value-of select="./titre"/></b>
    </xsl:template>
    
    <xsl:template match="discographie">
        <h4>Discographie</h4>
        <ul>
        <p><xsl:apply-templates/></p>
        </ul>
    </xsl:template>
    
    <xsl:template match="disque">
        <li>
            <b><xsl:value-of select="@parution"/></b> : 
            <i><xsl:value-of select="titre"/></i>
            <xsl:if test="musicien">
                <ul>
                    <xsl:apply-templates/>
                </ul>
            </xsl:if>
        </li>
    </xsl:template>
    
    <xsl:template match="disque/titre"/>
    
    <xsl:template match="disque/musicien">
        <li>
            <xsl:value-of select="prénom"/>&#160;
            <xsl:value-of select="nom"/>
            <br/>
            instrument(s) : <br/>
            <ul><xsl:apply-templates/></ul><br/>
        </li>
    </xsl:template>
    
    <xsl:template match="musicien/prénom | musicien/nom"/>
    
    <xsl:template match="discographie/disque/musicien/instruments/instrument">
        <li><i><xsl:value-of select="."/></i></li>
    </xsl:template>
    
</xsl:stylesheet>
