<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:foot="http://laic.u-clermont1.fr/~chevaldonne/XML/cours4/foot">

  <xsl:output method="html"/>
  
  <xsl:template match="/">
    <html>
      <head>
        <title>football</title>
      </head>
    </html>
    <body>
      <h1>Quelques joueurs (on indique le club pour ceux qui sont nés en avril)</h1>
      <ul>
        <xsl:apply-templates select="foot:football/foot:clubs"/>
      </ul>
    </body>
  </xsl:template>
  
<xsl:template match="foot:clubs">
  <xsl:for-each select="//foot:joueur">
    <xsl:sort data-type="number" order="descending"  select="number(substring(string(@foot:naissance), 1, 4))"/>
    <xsl:sort data-type="number" order="descending"  select="number(substring(string(@foot:naissance), 6, 2))"/>
    <xsl:sort data-type="number" order="descending"  select="number(substring(string(@foot:naissance), 9, 2))"/>
    <xsl:choose>
      <xsl:when test="number(substring(string(@foot:naissance), 6, 2))=4">
        <xsl:apply-templates select=".">
          <xsl:with-param name="mon_paramètre">avril</xsl:with-param>
        </xsl:apply-templates>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select=".">
          <xsl:with-param name="mon_paramètre">autre</xsl:with-param>
        </xsl:apply-templates>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:for-each>
</xsl:template>

<xsl:template match="foot:joueur">
    <xsl:param name="mon_paramètre"/>

    
  <li>
    <b>
      <xsl:value-of select="foot:nom"/>
      <xsl:text> </xsl:text>
      <xsl:value-of select="foot:prénom"/>
    </b>
      (<xsl:value-of select="@foot:naissance"/>
    <xsl:if test="$mon_paramètre='avril'">
      <i>
        club : <xsl:value-of select="../foot:nom"/>
      </i>
  </xsl:if>)
  </li>

  </xsl:template>
    


</xsl:stylesheet> 
