<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                xmlns:foot="http://laic.u-clermont1.fr/~chevaldonne/XML/cours4/foot">
    
    <xsl:template match="/">
        <html>
            <head>
                <title>Football</title>
            </head>
            <body>
                <xsl:apply-templates select="foot:football/foot:clubs"/>
                <h2 style="color:DarkBlue">
                    Index des joueurs
                </h2>
                <ul>
                    <xsl:apply-templates select="//foot:joueur" mode="index"/>
                </ul>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="foot:clubs">
        <h1  style="color:DarkBlue">
            Clubs de foot
        </h1>
            <xsl:apply-templates select="foot:club"/>
    </xsl:template>
    
    <xsl:template match="foot:club">
        <h3  style="color:Purple">
            <xsl:value-of select="foot:nom"/>
        </h3>
        <p>L'équipe est composée de :</p>
        <ul>
            <p><xsl:apply-templates select="foot:joueur"/></p>
        </ul>
        <p>L'équipe est entrainée par :</p>
        <ul><xsl:apply-templates select="foot:entraîneur"/></ul>
    </xsl:template>
    
    <xsl:template match="foot:joueur">
        <li>
            <xsl:value-of select="foot:prénom"/><xsl:text> </xsl:text>
            <b><xsl:value-of select="foot:nom"/></b><xsl:text> </xsl:text><i>(<xsl:value-of select="@foot:poste"/>, né le <xsl:value-of select="@foot:naissance"/>)</i>
        </li>     
    </xsl:template>
    
    <xsl:template match="foot:entraîneur">
        <li>
            <xsl:value-of select="foot:prénom"/><xsl:text> </xsl:text>
            <b><xsl:value-of select="foot:nom"/></b>
        </li>
    </xsl:template>
    
    <xsl:template match="foot:joueur" mode="index">
        <li>
            <i>
                <xsl:value-of select="foot:nom"/><xsl:text> </xsl:text><xsl:value-of select="foot:prénom"/>
            </i>
        </li>
    </xsl:template>
        
</xsl:transform>
