<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                xmlns:foot="http://laic.u-clermont1.fr/~chevaldonne/XML/cours4/foot"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    
    <xsl:template match="/">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template match="*">
        <xsl:variable name="balise" select="name()"/>
        <xsl:element name="{$balise}">
            <xsl:apply-templates select="@*"/>
            <xsl:apply-templates/>
            
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="@*">
        <xsl:variable name="attr" select="name(.)"/>
        <xsl:attribute name="{$attr}">
            <xsl:value-of select="."/>
        </xsl:attribute>
    </xsl:template>
    
    <xsl:template match="comment()">
        <xsl:text disable-output-escaping="yes">&lt;!--</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text disable-output-escaping="yes">--&gt;</xsl:text>
    </xsl:template>
    
    <xsl:template match="//foot:joueur">
        <foot:joueur foot:nom="{foot:nom}"
                     foot:prénom="{foot:prénom}"
                     foot:naissance="{@foot:naissance}"
                     foot:nationalité="{@foot:nationalité}"
                     foot:poste="{@foot:poste}"/>
    </xsl:template>
    
    <xsl:template match="//foot:entraîneur">
        <foot:entraîneur foot:nom="{foot:nom}"
            foot:prénom="{foot:prénom}"
            foot:naissance="{@foot:naissance}"
            foot:nationalité="{@foot:nationalité}"/>
    </xsl:template>
    
    <xsl:template match="//@xsi:schemaLocation">
        <xsl:attribute name="xsi:schemaLocation">http://laic.u-clermont1.fr/~chevaldonne/XML/cours4/foot foot2.xsd</xsl:attribute>
    </xsl:template>
        
</xsl:transform>
